package com.hh.lib_base.bean.ampe;

/**
 * Description: $
 *
 * @author xwh
 * time 2024/8/23
 **/
public class BaseAmpeAppletResultBean<T> {
    private String action;
    private String event;
    private String taskId;
    private boolean success;
    private String message;
    private T data;

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return "BaseAmpeAppletResultBean{" +
                "action='" + action + '\'' +
                ", event='" + event + '\'' +
                ", taskId='" + taskId + '\'' +
                ", success=" + success +
                ", message='" + message + '\'' +
                ", data=" + data +
                '}';
    }
}



